%!TEX root=../../../thesis.tex
%!TEX file=content/appendix/root-finding/bracketing.tex

\section{Bracketing Methods}\label{app:sec:root-finding:bracketing-methods}

As the name implies, bracketing methods determine increasingly smaller brackets~(intervals) containing the root.
With the intervall smaller than a given threshold, a root has been found.
Bracketing methods observe the sign of~$f \of{\itervar*}$ on the interval boundaries, which can be used to determine if there is a root inside the interval or not.



If~$f$ is a continuous function and there is an interval~$\interval{a}{b}$ for which~$f \of{a}$ and~$f \of{b}$ have opposite signs, then for the midpoint~$c = \frac{a + b}{2}$ it must hold that either
%
\begin{align*}
  \sgn \of{ f \of{a} }
    & = - \sgn \of{ f \of{c} } \,
      ,
    \\
\shortintertext{or}
  \sgn \of{ f \of{b} }
    & = - \sgn \of{ f \of{c} } \,
      ,
\end{align*}
%
is true, unless $c$ is the exact root, then $f \of{c} \equiv 0$.
One then updates the interval boundaries and sets~$b = c$ or~$a = c$, respectively, and repeats this process until some stopping criterion is fulfilled\textemdash usually until the interval is sufficiently small \textIe~$\abs{b - a} \leq \threshold_{\ms{res}}$.
The iterative procedure of the Bisection method is given in~\cref{app:root-finding:bisection-algorithm}.

\begin{algorithm}[tb]
  \centering
  \caption{Pseudo-algorithm of the bisection iteration algorithm.}
  \label{app:root-finding:bisection-algorithm}
  \smaller[1]
  \input{algorithm/root-finding/bisection}
\end{algorithm}
